# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499279

%global majorversion 0.0

Name:           xfce4-cellmodem-plugin
Version:        0.0.5
Release:        12%{?dist}
Summary:        Cell Modem monitor plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{majorversion}/%{name}-%{version}.tar.gz
# From Debian: fix a typo in Makefile.am that breaks linking
# http://git.xfce.org/panel-plugins/xfce4-cellmodem-plugin/commit/?id=404093d6e2f22064166b806711d5cb5d9dd935d2
Patch0:         %{name}-0.0.5-typo-linking.patch
# From Debian: fix underlinking
# Upstream bug: http://bugzilla.xfce.org/show_bug.cgi?id=6952
Patch1:         %{name}-0.0.5-explicit-linking-to-libxfcegui4.patch
# From Xfce: Fix crash on removing the plugin from the panel
# Fedora bug:   https://bugzilla.redhat.com/show_bug.cgi?id=874042
# Upstream bug: https://bugzilla.xfce.org/show_bug.cgi?id=6747
Patch2:         xfce4-cellmodem-plugin-0.0.5-fix-callback-prototype.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-cellmodem-plugin/c/master/
# as of 2011-04-08
Patch3:         %{name}-0.0.5-update-translations.patch
# fixes path of the desktop file for xfce4-panel 4.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.22, libxfcegui4-devel >= 4.4.0
BuildRequires:  libusb-devel
BuildRequires:  gettext, intltool
BuildRequires:  libtool, xfce4-dev-tools
Requires:       xfce4-panel >= %{panelversion}
 
%description
The cellmodem plugin is a monitoring plugin for cellular modems. It reports 
provider and signal quality for GPRS/UMTS(3G)/HSDPA(3.5G) modem cards. It 
works with (mostly) all cards which support an out-of-band channel for 
monitoring purposes. Current features include:
* Display the current network type (GPRS/UMTS)
* Display the current signal level
* Configure the maximum signal level
* Configure the low and critical signal level
* Asking for PIN if modem needs it
* Quick visual feedback on modem and registration status via LEDs


%prep
%setup -q
%patch0 -p1 -b .typo
%patch1 -p1 -b .explicit-linking
%patch2 -p1 -b .fix-callback
%patch3 -p1 -b .update-translations

# Fix icon in 'Add new panel item' dialog
sed -i 's|Icon=xfce-mouse|Icon=phone|g' panel-plugin/cellmodem.desktop.in.in


%build
# Xfce has its own autotools-running-script thingy, if you use autoreconf
# it'll fall apart horribly
xdt-autogen

%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.5-11
- Fix crash on removing the plugin from the panel (#874042)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 0.0.5-9
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 0.0.5-8
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.0.5-6
- Rebuild for new libpng

* Fri Apr 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.5-5
- Fix icon in 'Add new panel item' dialog (#694903)
- Fix Source0 URL
- Update translations from Xfce Transifex

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 0.0.5-3
- 01_typo-linking.patch: fix a typo (from Debian)
- 02_explicit-linking-to-libxfcegui4.patch: fix linking (from Debian)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.5-1
- Initial Fedora package
